为确保 NSX 升级成功,请务必查看发行说明以了解升级问题,确保使用正确的升级顺序,以及确保基础架构为升级工作做好了恰当准备。

警告:

不支持降级:

  • 请务必先备份 NSX Manager,然后再执行升级。

  • 成功升级 NSX Manager 后,无法对 NSX 进行降级。

VMware 建议在您的公司定义的维护期限内完成升级工作。

以下准则可用作升级前对照表。

  1. 验证 vCenter 是否满足 NSX 的系统要求。请参见NSX 的系统要求

  2. 如果部署了任何 Guest Introspection 或网络可扩展性合作伙伴服务,请在升级之前验证兼容性:

    • 在大多数情况下,可以升级 NSX 而不影响合作伙伴解决方案。但是,如果您的合作伙伴解决方案与要升级到的 NSX 版本不兼容,则在升级 NSX 之前,您需要将合作伙伴解决方案升级到兼容版本。

    • 请参阅《VMware Networking and Security 兼容性指南》。请参见http://www.vmware.com/resources/compatibility/search.php?deviceCategory=security

    • 请参阅合作伙伴文档以了解兼容性和升级详细信息。

  3. 如果在环境中安装了数据安全,请在升级 NSX 之前将其卸载。数据安全在 NSX 6.3.x 中不受支持。请参见卸载 NSX 数据安全

  4. 如果您在环境中安装了硬件网关(硬件 VTEP),将阻止升级到 NSX 6.3.0 和 6.3.1。您必须与 VMware 支持部门联系以进行升级。有关详细信息,请参见https://kb.vmware.com/kb/2148511。允许升级到 NSX 6.3.2。

  5. 如果您拥有任何 NSX 5.5 或更早版本的 NSX Edge 设备,则必须先将它们升级到 NSX 6.x,然后才能升级到 NSX 6.3.x。

  6. 如果要升级到 NSX 6.3.3,NSX Controller 群集必须包含三个控制器节点。如果包含的节点少于三个,您必须在开始升级之前添加额外的节点。 有关添加控制器节点的步骤,请参见NSX 安装指南中的“部署 NSX Controller 群集”。

  7. 确定必须在同一维护时段升级的 NSX Manager。

    • 如果您具有跨 vCenter NSX 环境,必须在单个维护时段将主 NSX Manager 和所有辅助 NSX Manager 升级到相同的 NSX 版本。

    • 如果您有多个 NSX Manager 连接到使用相同 SSO 服务器的 vCenter Server 系统,则并非所有 NSX Manager 版本组合均受支持。您必须计划 NSX Manager 的升级,以便在维护时段结束时具有支持的配置

      • 支持所有 NSX Manager 使用相同 NSX 版本的情况。

      • 如果 NSX Manager 使用不同的 NSX 版本,其中至少有一个 NSX Manager 安装了 NSX 6.4.0 或更高版本,而所有其他 NSX Manager 则安装了 NSX 6.3.3 或更高版本,则这种情况受支持。

  8. 验证您是否具有 NSX Manager、vCenter 和其他 NSX 组件的最新备份。请参见NSX 备份和还原

  9. 创建一个技术支持包。

  10. 使用 nslookup 命令确保正向和反向域名解析正常工作。

  11. 如果正在环境中使用 VUM,请确保在 vCenter 中将 bypassVumEnabled 标记设置为 true。该设置配置 EAM 以将 VIB 直接安装到 ESXi 主机中,即使安装了 VUM 以及/或者 VUM 不可用。请参见 http://kb.vmware.com/kb/2053782

  12. 下载并暂存升级包,并使用 md5sum 进行验证。请参见下载 NSX 升级包并检查 MD5

  13. 最佳做法是,保持环境中的所有操作为静默模式,直到完成了升级的所有部分。

  14. 不要关闭或删除任何 NSX 组件或设备,除非要求这样做。